aboutsummaryrefslogtreecommitdiff
path: root/uninstall.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2024-08-05 03:33:40 +0200
committerdec05eba <dec05eba@protonmail.com>2024-08-05 03:33:40 +0200
commit29950f9eddf803031d9158273e9280e177f109c8 (patch)
tree3ac26b8f3db35f0af160d41d44f5ce67c8dad755 /uninstall.sh
parent857488e91b588e73d46948988ffce18ed9cb59fc (diff)
Add meson build
Diffstat (limited to 'uninstall.sh')
-rwxr-xr-xuninstall.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/uninstall.sh b/uninstall.sh
new file mode 100755
index 0000000..ba0b5b6
--- /dev/null
+++ b/uninstall.sh
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the uninstall script" && exit 1
+
+ninja -C build uninstall
+
+echo "Successfully uninstalled gsr-notify"